Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.ua
Interface UAObjectIdentifiers

public interface UAObjectIdentifiers

Ukrainian object identifiers

{iso(1) member-body(2) Ukraine(804) root(2) security(1) cryptography(1) pki(1)}

{ [] pki-alg(1) pki-alg-sym(3) Dstu4145WithGost34311(1) PB(1)}

DSTU4145 in polynomial basis has 2 oids, one for little-endian representation and one for big-endian

Field Summary
`static ASN1ObjectIdentifier` | `alg_id`
`static ASN1ObjectIdentifier` | `dstu4145be` DSTU4145 Big Endian presentation.
`static ASN1ObjectIdentifier` | `dstu4145le` DSTU4145 Little Endian presentation.
`static ASN1ObjectIdentifier` | `dstu7564digest_256` DSTU7564 256-bit digest presentation.
`static ASN1ObjectIdentifier` | `dstu7564digest_384` DSTU7564 384-bit digest presentation.
`static ASN1ObjectIdentifier` | `dstu7564digest_512` DSTU7564 512-bit digest presentation.
`static ASN1ObjectIdentifier` | `dstu7564mac_256` DSTU7564 256-bit mac presentation.
`static ASN1ObjectIdentifier` | `dstu7564mac_384` DSTU7564 384-bit mac presentation.
`static ASN1ObjectIdentifier` | `dstu7564mac_512` DSTU7564 512-bit mac presentation.
`static ASN1ObjectIdentifier` | `dstu7624cbc_128` DSTU7624 in CBC mode with 128 bit block/key presentation
`static ASN1ObjectIdentifier` | `dstu7624cbc_256` DSTU7624 in CBC mode with 256 bit block/key presentation
`static ASN1ObjectIdentifier` | `dstu7624cbc_512` DSTU7624 in CBC mode with 512 bit block/key presentation
`static ASN1ObjectIdentifier` | `dstu7624ccm_128` DSTU7624 in CCM mode with 128 bit block/key presentation
`static ASN1ObjectIdentifier` | `dstu7624ccm_256` DSTU7624 in CCM mode with 256 bit block/key presentation
`static ASN1ObjectIdentifier` | `dstu7624ccm_512` DSTU7624 in CCM mode with 512 bit block/key presentation
`static ASN1ObjectIdentifier` | `dstu7624cfb_128` DSTU7624 in CFB mode with 128 bit block/key presentation
`static ASN1ObjectIdentifier` | `dstu7624cfb_256` DSTU7624 in CFB mode with 256 bit block/key presentation
`static ASN1ObjectIdentifier` | `dstu7624cfb_512` DSTU7624 in CFB mode with 512 bit block/key presentation
`static ASN1ObjectIdentifier` | `dstu7624cmac_128` DSTU7624 in MAC mode with 128 bit block/key presentation
`static ASN1ObjectIdentifier` | `dstu7624cmac_256` DSTU7624 in MAC mode with 256 bit block/key presentation
`static ASN1ObjectIdentifier` | `dstu7624cmac_512` DSTU7624 in MAC mode with 512 bit block/key presentation
`static ASN1ObjectIdentifier` | `dstu7624ctr_128` DSTU7624 in CTR mode with 128 bit block/key presentation
`static ASN1ObjectIdentifier` | `dstu7624ctr_256` DSTU7624 in CTR mode with 256 bit block/key presentation
`static ASN1ObjectIdentifier` | `dstu7624ctr_512` DSTU7624 in CTR mode with 512 bit block/key presentation
`static ASN1ObjectIdentifier` | `dstu7624ecb_128` DSTU7624 in ECB mode with 128 bit block/key presentation
`static ASN1ObjectIdentifier` | `dstu7624ecb_256` DSTU7624 in ECB mode with 256 bit block/key presentation
`static ASN1ObjectIdentifier` | `dstu7624ecb_512` DSTU7624 in ECB mode with 512 bit block/key presentation
`static ASN1ObjectIdentifier` | `dstu7624gmac_128` DSTU7624 in GMAC (GCM witout encryption) mode with 128 bit block/key presentation
`static ASN1ObjectIdentifier` | `dstu7624gmac_256` DSTU7624 in GMAC (GCM witout encryption) mode with 256 bit block/key presentation
`static ASN1ObjectIdentifier` | `dstu7624gmac_512` DSTU7624 in GMAC (GCM witout encryption) mode with 512 bit block/key presentation
`static ASN1ObjectIdentifier` | `dstu7624kw_128` DSTU7624 in key wrap (KW) mode with 128 bit block/key presentation
`static ASN1ObjectIdentifier` | `dstu7624kw_256` DSTU7624 in key wrap (KW) mode with 256 bit block/key presentation
`static ASN1ObjectIdentifier` | `dstu7624kw_512` DSTU7624 in key wrap (KW) mode with 512 bit block/key presentation
`static ASN1ObjectIdentifier` | `dstu7624ofb_128` DSTU7624 in OFB mode with 128 bit block/key presentation
`static ASN1ObjectIdentifier` | `dstu7624ofb_256` DSTU7624 in OFB mode with 256 bit block/key presentation
`static ASN1ObjectIdentifier` | `dstu7624ofb_512` DSTU7624 in OFB mode with 512 bit block/key presentation
`static ASN1ObjectIdentifier` | `dstu7624xts_128` DSTU7624 in XTS mode with 128 bit block/key presentation
`static ASN1ObjectIdentifier` | `dstu7624xts_256` DSTU7624 in XTS mode with 256 bit block/key presentation
`static ASN1ObjectIdentifier` | `dstu7624xts_512` DSTU7624 in XTS mode with 512 bit block/key presentation
`static ASN1ObjectIdentifier` | `gost3411_id`
`static ASN1ObjectIdentifier` | `hash_id`
`static ASN1ObjectIdentifier` | `hmac_gost3411_id`
`static ASN1ObjectIdentifier` | `sym_id`
`static ASN1ObjectIdentifier` | `UaOid` Base OID: 1.2.804.2.1.1.1

Field Detail

### UaOid

    public static final ASN1ObjectIdentifier UaOid

  Base OID: 1.2.804.2.1.1.1

### dstu4145le

    public static final ASN1ObjectIdentifier dstu4145le

  DSTU4145 Little Endian presentation. OID: 1.2.804.2.1.1.1.1.3.1.1

### dstu4145be

    public static final ASN1ObjectIdentifier dstu4145be

  DSTU4145 Big Endian presentation. OID: 1.2.804.2.1.1.1.1.3.1.1.1

### dstu7564digest_256

    public static final ASN1ObjectIdentifier dstu7564digest_256

  DSTU7564 256-bit digest presentation.

### dstu7564digest_384

    public static final ASN1ObjectIdentifier dstu7564digest_384

  DSTU7564 384-bit digest presentation.

### dstu7564digest_512

    public static final ASN1ObjectIdentifier dstu7564digest_512

  DSTU7564 512-bit digest presentation.

### dstu7564mac_256

    public static final ASN1ObjectIdentifier dstu7564mac_256

  DSTU7564 256-bit mac presentation.

### dstu7564mac_384

    public static final ASN1ObjectIdentifier dstu7564mac_384

  DSTU7564 384-bit mac presentation.

### dstu7564mac_512

    public static final ASN1ObjectIdentifier dstu7564mac_512

  DSTU7564 512-bit mac presentation.

### dstu7624ecb_128

    public static final ASN1ObjectIdentifier dstu7624ecb_128

  DSTU7624 in ECB mode with 128 bit block/key presentation

### dstu7624ecb_256

    public static final ASN1ObjectIdentifier dstu7624ecb_256

  DSTU7624 in ECB mode with 256 bit block/key presentation

### dstu7624ecb_512

    public static final ASN1ObjectIdentifier dstu7624ecb_512

  DSTU7624 in ECB mode with 512 bit block/key presentation

### dstu7624ctr_128

    public static final ASN1ObjectIdentifier dstu7624ctr_128

  DSTU7624 in CTR mode with 128 bit block/key presentation

### dstu7624ctr_256

    public static final ASN1ObjectIdentifier dstu7624ctr_256

  DSTU7624 in CTR mode with 256 bit block/key presentation

### dstu7624ctr_512

    public static final ASN1ObjectIdentifier dstu7624ctr_512

  DSTU7624 in CTR mode with 512 bit block/key presentation

### dstu7624cfb_128

    public static final ASN1ObjectIdentifier dstu7624cfb_128

  DSTU7624 in CFB mode with 128 bit block/key presentation

### dstu7624cfb_256

    public static final ASN1ObjectIdentifier dstu7624cfb_256

  DSTU7624 in CFB mode with 256 bit block/key presentation

### dstu7624cfb_512

    public static final ASN1ObjectIdentifier dstu7624cfb_512

  DSTU7624 in CFB mode with 512 bit block/key presentation

### dstu7624cmac_128

    public static final ASN1ObjectIdentifier dstu7624cmac_128

  DSTU7624 in MAC mode with 128 bit block/key presentation

### dstu7624cmac_256

    public static final ASN1ObjectIdentifier dstu7624cmac_256

  DSTU7624 in MAC mode with 256 bit block/key presentation

### dstu7624cmac_512

    public static final ASN1ObjectIdentifier dstu7624cmac_512

  DSTU7624 in MAC mode with 512 bit block/key presentation

### dstu7624cbc_128

    public static final ASN1ObjectIdentifier dstu7624cbc_128

  DSTU7624 in CBC mode with 128 bit block/key presentation

### dstu7624cbc_256

    public static final ASN1ObjectIdentifier dstu7624cbc_256

  DSTU7624 in CBC mode with 256 bit block/key presentation

### dstu7624cbc_512

    public static final ASN1ObjectIdentifier dstu7624cbc_512

  DSTU7624 in CBC mode with 512 bit block/key presentation

### dstu7624ofb_128

    public static final ASN1ObjectIdentifier dstu7624ofb_128

  DSTU7624 in OFB mode with 128 bit block/key presentation

### dstu7624ofb_256

    public static final ASN1ObjectIdentifier dstu7624ofb_256

  DSTU7624 in OFB mode with 256 bit block/key presentation

### dstu7624ofb_512

    public static final ASN1ObjectIdentifier dstu7624ofb_512

  DSTU7624 in OFB mode with 512 bit block/key presentation

### dstu7624gmac_128

    public static final ASN1ObjectIdentifier dstu7624gmac_128

  DSTU7624 in GMAC (GCM witout encryption) mode with 128 bit block/key presentation

### dstu7624gmac_256

    public static final ASN1ObjectIdentifier dstu7624gmac_256

  DSTU7624 in GMAC (GCM witout encryption) mode with 256 bit block/key presentation

### dstu7624gmac_512

    public static final ASN1ObjectIdentifier dstu7624gmac_512

  DSTU7624 in GMAC (GCM witout encryption) mode with 512 bit block/key presentation

### dstu7624ccm_128

    public static final ASN1ObjectIdentifier dstu7624ccm_128

  DSTU7624 in CCM mode with 128 bit block/key presentation

### dstu7624ccm_256

    public static final ASN1ObjectIdentifier dstu7624ccm_256

  DSTU7624 in CCM mode with 256 bit block/key presentation

### dstu7624ccm_512

    public static final ASN1ObjectIdentifier dstu7624ccm_512

  DSTU7624 in CCM mode with 512 bit block/key presentation

### dstu7624xts_128

    public static final ASN1ObjectIdentifier dstu7624xts_128

  DSTU7624 in XTS mode with 128 bit block/key presentation

### dstu7624xts_256

    public static final ASN1ObjectIdentifier dstu7624xts_256

  DSTU7624 in XTS mode with 256 bit block/key presentation

### dstu7624xts_512

    public static final ASN1ObjectIdentifier dstu7624xts_512

  DSTU7624 in XTS mode with 512 bit block/key presentation

### dstu7624kw_128

    public static final ASN1ObjectIdentifier dstu7624kw_128

  DSTU7624 in key wrap (KW) mode with 128 bit block/key presentation

### dstu7624kw_256

    public static final ASN1ObjectIdentifier dstu7624kw_256

  DSTU7624 in key wrap (KW) mode with 256 bit block/key presentation

### dstu7624kw_512

    public static final ASN1ObjectIdentifier dstu7624kw_512

  DSTU7624 in key wrap (KW) mode with 512 bit block/key presentation

### alg_id

    public static final ASN1ObjectIdentifier alg_id

### sym_id

    public static final ASN1ObjectIdentifier sym_id

### hmac_gost3411_id

    public static final ASN1ObjectIdentifier hmac_gost3411_id

### hash_id

    public static final ASN1ObjectIdentifier hash_id

### gost3411_id

    public static final ASN1ObjectIdentifier gost3411_id

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD